@extends('admin.layouts.app')

@section('content')
<!-- Page Header -->
	<div class="page-header">
		<div class="row">
			<div class="col">
				<h3 class="page-title">Profile</h3>
				<ul class="breadcrumb">
					<li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
					<li class="breadcrumb-item active">Profile</li>
				</ul>
			</div>
		</div>
	</div>
<!-- /Page Header -->

<div class="row">
		<div class="col-md-12">
			@include('inc.messages')
			<div class="profile-header">
				<div class="row align-items-center">
					<div class="col-auto profile-image">
						<a href="#">
							<img class="rounded-circle" alt="User Image" src="{{url('/storage/profile_images/'.auth('admin')->user()->profile_picture ) }}">
						</a>
					</div>
					<div class="col ml-md-n2 profile-user-info">
						<h4 class="user-name mb-0">{{$admin->name}} {{$admin->firstname}}</h4>
						<h6 class="text-muted">{{$admin->email}}</h6>
						<div class="user-Location"><i class="fas fa-map-marker-alt"></i> {{$admin->address}}</div>
						<!--<div class="about-text"></div>-->
					</div>
					<div class="col-auto profile-btn">
						
						<a href="#edit_personal_details" data-toggle="modal" class="btn btn-primary">
							Edit
						</a>
					</div>
				</div>
			</div>
			<div class="profile-menu">
				<ul class="nav nav-tabs nav-tabs-solid">
					<li class="nav-item">
						<a class="nav-link active" data-toggle="tab" href="#per_details_tab">About</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" data-toggle="tab" href="#password_tab">Password</a>
					</li>
				</ul>
			</div>	
			<div class="tab-content profile-tab-cont">
				
				<!-- Personal Details Tab -->
				<div class="tab-pane fade show active" id="per_details_tab">
				
					<!-- Personal Details -->
					<div class="row">
						<div class="col-lg-12">
							<div class="card">
								<div class="card-body">
									<h5 class="card-title d-flex justify-content-between">
										<span>Personal Details</span> 
										<a class="edit-link" data-toggle="modal" href="#edit_personal_details"><i class="fa fa-edit mr-1"></i>Edit</a>
									</h5>
									<div class="row">
										<p class="col-sm-2 text-muted text-sm-right mb-0 mb-sm-3">Name</p>
										<p class="col-sm-10">{{$admin->name}} {{$admin->firstname}}</p>
									</div>
									<div class="row">
										<p class="col-sm-2 text-muted text-sm-right mb-0 mb-sm-3">Email ID</p>
										<p class="col-sm-10">{{$admin->email}}</p>
									</div>
									<div class="row">
										<p class="col-sm-2 text-muted text-sm-right mb-0 mb-sm-3">Mobile</p>
										<p class="col-sm-10">{{$admin->phone_number}}</p>
									</div>
									<div class="row">
										<p class="col-sm-2 text-muted text-sm-right mb-0">Address</p>
										<p class="col-sm-10 mb-0">{{$admin->address}},<br>
									</div>
								</div>
							</div>
							
							<!-- Edit Details Modal -->
							<div class="modal fade bd-example-modal-xl" id="edit_personal_details" aria-hidden="true" role="dialog">
								<div class="modal-dialog modal-dialog-centered modal-xl" role="document" >
									<div class="modal-content">
										<div class="modal-header">
											<h5 class="modal-title">Personal Details</h5>
											<button type="button" class="close" data-dismiss="modal" aria-label="Close">
												<span aria-hidden="true">&times;</span>
											</button>
										</div>
										<div class="modal-body">
											<form method="POST" action="{{route('update_admin_setting', auth('admin')->user()->id)}}" enctype="multipart/form-data">
												
												{{ csrf_field() }}
                								{{ method_field('PATCH') }}

												<div class="row form-row">
													<div class="col-12 col-sm-6">
														<div class="form-group">
															<label>Name<span class="text-danger">*</span></label>
															<input type="text" class="form-control" value="{{$admin->name}}" name="name">
														</div>
													</div>

													<div class="col-12 col-sm-6">
														<div class="form-group">
															<label>Firstname<span class="text-danger">*</span></label>
															<input type="text"  class="form-control" value="{{$admin->firstname}}" name="firstname">
														</div>
													</div>

													<div class="col-12 col-sm-6">
														<div class="form-group">
															<label>Email ID<span class="text-danger">*</span></label>
															<input type="email" class="form-control" value="{{$admin->email}}" name="email">
														</div>
													</div>
													<div class="col-12 col-sm-6">
														<div class="form-group">
															<label>Mobile <span class="text-danger">*</span></label>
															<input type="text" value="{{$admin->phone_number}}" class="form-control" name="phone_number">
														</div>
													</div>

													<div class="col-12">
														<h5 class="form-title"><span>Address</span></h5>
													</div>
													<div class="col-12 col-sm-6">
														<div class="form-group">
														<label>Address<span class="text-danger">*</span></label>
															<input type="text" class="form-control" value="{{$admin->address}}" name="address">
														</div>
													</div>

													<!--<div class="col-12 col-sm-6">
														<div class="form-group">
															<label>State</label>
															<input type="text" class="form-control" value="Florida">
														</div>
													</div>
													<div class="col-12 col-sm-6">
														<div class="form-group">
															<label>Zip Code</label>
															<input type="text" class="form-control" value="22434">
														</div>
													</div>-->

								                    <div class="col-12 col-sm-6">
								    					<div class="form-group">
								    						<label>Profile Image</label>
								    						<input type="file" class="form-control" name="profile_picture" value="{{$admin->profile_picture}}">
								    							
								    					</div>
								                    </div>

								                </div>

												<button type="submit" class="btn btn-primary btn-block">Save Changes</button>
											</form>
										</div>
									</div>
								</div>
							</div>
							<!-- /Edit Details Modal -->
							
						</div>

					
					</div>
					<!-- /Personal Details -->

				</div>
				<!-- /Personal Details Tab -->
				
				<!-- Change Password Tab -->
				<div id="password_tab" class="tab-pane fade">
				
					<div class="card">
						<div class="card-body">
							<h5 class="card-title">Change Password</h5>
							<div class="row">
								<div class="col-md-10 col-lg-6">
									<form method="POST" action="{{route('admin_update_password')}}">
										 @csrf
										<div class="form-group">
											<label>Old Password</label>
											<input type="password" class="form-control" name="old_password" required>
										</div>
										<div class="form-group">
											<label>New Password</label>
											<input type="password" class="form-control" name="new_password" required>
										</div>
										<div class="form-group">
											<label>Confirm Password</label>
											<input type="password" class="form-control" name="confirm_password" required>
										</div>
										<button class="btn btn-primary" type="submit">Save Changes</button>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- /Change Password Tab -->
				
			</div>
		</div>
	</div>

@endsection
