<!DOCTYPE html> 
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>AAH+ - My Patients</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
		
		<!-- Favicons -->
		<link href="<?php echo e(asset('assets/img/favicon.png')); ?>" rel="icon">
		
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">
		
		<!-- Fontawesome CSS -->
		<link rel="stylesheet" href="<?php echo e(asset('assets/plugins/fontawesome/css/fontawesome.min.css')); ?>">
		<link rel="stylesheet" href="<?php echo e(asset('assets/plugins/fontawesome/css/all.min.css')); ?>">
		
		<!-- Main CSS -->
		<link rel="stylesheet" href="<?php echo e(asset('assets/css/style.css')); ?>">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
	
	</head>
	<body>
		<!-- Main Wrapper -->
			<div class="main-wrapper">
		<!-- Header -->
			<?php echo $__env->make('doctors.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
			<!-- /Header -->
			
			
			<!-- Breadcrumb -->
			<div class="breadcrumb-bar">
				<div class="container-fluid">
					<div class="row align-items-center">
						<div class="col-md-12 col-12">
							<nav aria-label="breadcrumb" class="page-breadcrumb">
								<ol class="breadcrumb">
									<li class="breadcrumb-item"><a href="<?php echo e(route('home')); ?>">Home</a></li>
									<li class="breadcrumb-item active" aria-current="page">My Patients</li>
								</ol>
							</nav>
							<h2 class="breadcrumb-title">My Patients <span style="color: #26a9e166">+</span></h2>
						</div>
					</div>
				</div>
			</div>
			<!-- /Breadcrumb -->
			
			<!-- Page Content -->
			<div class="content">
				<div class="container-fluid">

					<div class="row">

						<?php echo $__env->make('doctors.partials.profile_side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

						<div class="col-md-7 col-lg-8 col-xl-9">
						
							<div class="row row-grid">
								<?php $__empty_1 = true; $__currentLoopData = $mypatients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $patient): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
								<div class="col-md-6 col-lg-4 col-xl-3">
									<div class="card widget-profile pat-widget-profile">
										<div class="card-body">
											<div class="pro-widget-content">
												<div class="profile-info-widget">
													<a href="<?php echo e(route('patient.profile', $patient->id)); ?>" class="booking-doc-img">
														<img src="<?php echo e(url('/storage/profile_images/'.$patient->profile_picture )); ?>" alt="User Image">
													</a>
													<div class="<?php echo e(route('patient.profile', $patient->id)); ?>">
														<h3><a href="<?php echo e(route('patient.profile', $patient->id)); ?>"><?php echo e($patient->name); ?> <?php echo e($patient->firstname); ?></a></h3>
														
														<div class="patient-details">
															<?php if($patient->matricule != ''): ?>
															<h5><b>Patient ID :</b> <?php echo e($patient->matricule); ?></h5>
															<?php endif; ?> 

															<?php if($patient->address != ''): ?>
															<h5 class="mb-0"><i class="fas fa-map-marker-alt"></i> <?php echo e($patient->address); ?></h5>
															<?php endif; ?> 
														</div>
													</div>
												</div>
											</div>
											<div class="patient-info">
												<ul>
													<li>Phone <span><?php echo e($patient->phone_number); ?></span></li>
													<li>Age <span>
														<?php if($patient->birth_date != ''): ?> 
															<?php
																$birthday = new DateTime($patient->birth_date);
															    $currentDate = new DateTime(date("Y-m-d"));
															    $interval = $birthday->diff($currentDate);

															    $age= $interval->format('%Y');

															  	echo($age.' Year, ');
															?>
														<?php endif; ?>

														<?php if($patient->gender != ''): ?> 
															<?php if($patient->gender == 'M'): ?> 
																Male 
															<?php else: ?>
																Female
															<?php endif; ?>

														<?php endif; ?>
													</span>

													</li>
													<li>Blood Group <span><?php echo e($patient->blood_group); ?><?php echo e($patient->rhesus); ?></span></li>
												</ul>
											</div>
										</div>
									</div>
								</div>
								<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
					                <p>You don't have any Patients yet!</p>
					            <?php endif; ?>
								
							</div>

						</div>
					</div>

				</div>

			</div>		
			<!-- /Page Content -->
   
			<!-- Footer -->
				<?php echo $__env->make('website.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
			<!-- /Footer -->
		   
		</div>
		<!-- /Main Wrapper -->
	  
		<!-- jQuery -->
		<script src="<?php echo e(asset('assets/js/jquery.min.js')); ?>"></script>
		
		<!-- Bootstrap Core JS -->
		<script src="<?php echo e(asset('assets/js/popper.min.js')); ?>"></script>
		<script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>
		
		<!-- Sticky Sidebar JS -->
        <script src="<?php echo e(asset('assets/plugins/theia-sticky-sidebar/ResizeSensor.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/plugins/theia-sticky-sidebar/theia-sticky-sidebar.js')); ?>"></script>
		
		<!-- Custom JS -->
		<script src="<?php echo e(asset('assets/js/script.js')); ?>"></script>
		
	</body>
</html><?php /**PATH C:\wamp64\www\telemed_aah\resources\views/doctors/my_patients.blade.php ENDPATH**/ ?>