

<?php $__env->startSection('content'); ?>

	<!-- Page Header -->
		<div class="page-header">
			<div class="row">
				<div class="col-sm-12">
					<h3 class="page-title">Blog</h3>
					<ul class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
						<li class="breadcrumb-item"><a href="javascript:(0);">Pages</a></li>
						<li class="breadcrumb-item active">Blog</li>
					</ul>
				</div>
			</div>
		</div>
	<!-- /Page Header -->

	<div class="row">
	    <div class="col-md-12">
			<?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
		</div>
	</div>

	<div class="row">
		<div class="col-sm-12">
					
				<div class="row mb-5">
                    <div class="col">
                        <ul class="nav nav-tabs nav-tabs-solid">
                            <li class="nav-item">
                                <a class="nav-link active" href="<?php echo e(route('admin.posts')); ?>">Active Blog</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?php echo e(route('admin.pending_posts')); ?>">Pending Blog</a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-auto">
                        <a class="btn btn-primary btn-sm" href="<?php echo e(route('admin_posts_create')); ?>"><i class="fas fa-plus mr-1"></i> Add Blog</a>
                    </div>
                </div>
			
				<!-- Blog -->
				<div class="row blog-grid-row">
					<?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<div class="col-md-6 col-xl-4 col-sm-12">
					
						<!-- Blog Post -->
						<div class="blog grid-blog">
							<div class="blog-image">
								<a href="#"><img class="img-fluid" src="<?php echo e(url('/storage/cover_images/'.$post->cover_image )); ?>" alt="Post Image"></a>
							</div>
							<div class="blog-content">
								<ul class="entry-meta meta-item">
									<li>
										<div class="post-author">
											<a href="#"><img src="<?php echo e(url('/storage/profile_images/'.$post->author_image )); ?>" alt="Post Author"> <span>Dr. <?php echo e($post->author); ?></span></a>
										</div>
									</li>
									<li><i class="far fa-clock"></i> <?php echo e($post->created_at->format('m/d/Y')); ?></li>
								</ul>
								<h3 class="blog-title"><a href="#"><?php echo e($post->title); ?></a></h3>
								<p class="mb-0"><?php echo \Illuminate\Support\Str::limit($post->body, 50, '...'); ?></p>
							</div>
							<div class="row pt-3">
								<div class="col"><a href="<?php echo e(URL::to('admin/posts/'.$post->id.'/edit')); ?>" class="text-success"><i class="far fa-edit"></i> Edit</a></div>
																							
								<div class="col text-right"><a href="javascript:void(0);" class="text-danger" data-toggle="modal" data-target="#deleteNotConfirmModal" onclick="postData(<?php echo e($post->id); ?>)"><i class="far fa-trash-alt"></i> Inactive</a></div>
							</div>
						</div>
						<!-- /Blog Post -->
						
					</div>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</div>
			
				<!-- Blog Pagination -->
				<div class="row">
					<div class="col-md-12">
						<div class="blog-pagination">
							<nav>
								<ul class="pagination justify-content-center">
									<li class="page-item disabled">
										<a class="page-link" href="#" tabindex="-1"><i class="fas fa-angle-double-left"></i></a>
									</li>
									<li class="page-item">
										<a class="page-link" href="#">1</a>
									</li>
									<li class="page-item active">
										<a class="page-link" href="#">2 <span class="sr-only">(current)</span></a>
									</li>
									<li class="page-item">
										<a class="page-link" href="#">3</a>
									</li>
									<li class="page-item">
										<a class="page-link" href="#"><i class="fas fa-angle-double-right"></i></a>
									</li>
								</ul>
							</nav>
						</div>
					</div>
				</div>
				<!-- /Blog Pagination -->
				<!-- /Blog -->
		</div>			
	</div>

	<div class="modal fade" id="deleteNotConfirmModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" style="display: none;" aria-hidden="true">
			<div class="modal-dialog modal-dialog-centered">
				<form action="" id="InactiveForm" method="post">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="acc_title">Inactive Post?</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">×</span>
							</button>
						</div>
						<div class="modal-body">
							<?php echo e(csrf_field()); ?>

				            <?php echo e(method_field('POST')); ?>

							<p id="acc_msg">This Post will be desactivate. Do you agree?</p>
						</div>
						<div class="modal-footer">
							<a href="#" class="btn btn-white" data-dismiss="modal">No,Close</a>
							<button type="submit" class="btn btn-danger si_accept_cancel" data-dismiss="modal" onclick="formSubmit()">Yes</button>
						</div>
					</div>
				</form>
			</div>
		</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('listing_post'); ?>
<script>
	function postData(id)
     {
         var id = id;
         var url = '<?php echo e(route("admin_desactivate_post", ":id")); ?>';
         url = url.replace(':id', id);
         $("#InactiveForm").attr('action', url);
     }

     function formSubmit()
     {
         $("#InactiveForm").submit();
     }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\telemed_aah\resources\views/admin/posts/index.blade.php ENDPATH**/ ?>