

<?php $__env->startSection('content'); ?>
<div class="page-header">
    <div class="row">
        <div class="col-sm-12">
            <h3 class="page-title">Patients</h3>
            <ul class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
                <li class="breadcrumb-item"><a href="javascript:(0);">Patients</a></li>
                <li class="breadcrumb-item active">Edit Patient</li>
            </ul>
        </div>
    </div>
</div>


<div class="col-md-12">
    <?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="card">
        <div class="card-header">
            <div class="d-flex align-items-center">
                <h4 class="card-title">Edit Patient <?php echo e($patient->name); ?></h4>
            </div>
        </div>
        <form method="POST" action="<?php echo e(route('patients.update', $patient->id)); ?>" enctype="multipart/form-data">
        	<?php echo e(csrf_field()); ?>

            <?php echo e(method_field('PATCH')); ?>


        <div class="card-body">
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Name <span class="text-danger">*</span></label>
                        <input class="form-control" type="text" name="name" value="<?php echo e($patient->name); ?>">
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Firstname <span class="text-danger">*</span></label>
                        <input class="form-control" type="text" name="firstname" value="<?php echo e($patient->firstname); ?>">
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Email <span class="text-danger">*</span></label>
                        <input class="form-control" type="email" name="email" value="<?php echo e($patient->email); ?>">
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Phone number <span class="text-danger">*</span></label>
                        <input class="form-control" type="text" name="phone_number" value="<?php echo e($patient->phone_number); ?>">
                    </div>
                </div>

				<div class="col-sm-6">
                    <div class="form-group">
                        <label>Birth Date <span class="text-danger">*</span></label>
                            <input type="date" class="form-control" name="birth_date" value="<?php echo e($patient->birth_date); ?>">
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Birth Place<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" name="place_birth" value="<?php echo e($patient->place_birth); ?>">
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Profession <span class="text-danger">*</span></label>
                        <input class="form-control" type="text" name="profession" value="<?php echo e($patient->profession); ?>">
                    </div>
                </div>

                <div class="col-sm-6">
					<div class="form-group gender-select">
						<label class="gen-label">Gender: <span class="text-danger">*</span></label>
						<div class="form-check-inline">
							<label class="form-check-label">
								<input type="radio" name="gender" value="M" class="form-check-input" <?php echo e($patient->gender == "M" ? 'checked' : ''); ?> >Masculin
							</label>
						</div>
						<div class="form-check-inline">
							<label class="form-check-label">
								<input type="radio" name="gender" value="F" class="form-check-input" <?php echo e($patient->gender == "F" ? 'checked' : ''); ?> >Feminin
							</label>
						</div>
					</div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Marital Status <span class="text-danger">*</span></label>
                        <select class="select" name="marital_status" required="">
                            <option value="Célibataire" <?php echo e(($patient->marital_status === 'Célibataire') ? 'selected' : ''); ?>>Célibataire</option>
                            <option value="Marié(e)" <?php echo e(($patient->marital_status === 'Marié(e)') ? 'selected' : ''); ?>>Marié(e)</option>
                            <option value="Veuf(ve)" <?php echo e(($patient->marital_status === 'Veuf(ve)') ? 'selected' : ''); ?>>Veuf(ve)</option>
                            <option value="Divorcé(e)" <?php echo e(($patient->marital_status === 'Divorcé(e)') ? 'selected' : ''); ?>>Divorcé(e)</option>
                        </select>
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Nationality <span class="text-danger">*</span></label>
                        <input type="text" class="form-control " value="<?php echo e($patient->nationality); ?>" name="nationality">
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Ethnic Group <span class="text-danger">*</span></label>
                        <input type="text" class="form-control " name="ethnic_group" value="<?php echo e($patient->ethnic_group); ?>">
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Blood Group <span class="text-danger">*</span></label>
                        <select class="select" name="blood_group">
                            <option value="">--Select Blood Group--</option>
                            <option value="O" <?php echo e(($patient->blood_group === 'O') ? 'selected' : ''); ?>>O</option>
                            <option value="A" <?php echo e(($patient->blood_group === 'A') ? 'selected' : ''); ?>>A</option>
                            <option value="B" <?php echo e(($patient->blood_group === 'B') ? 'selected' : ''); ?>>B</option>
                            <option value="AB" <?php echo e(($patient->blood_group === 'AB') ? 'selected' : ''); ?>>AB</option>
                        </select>
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="form-group">
                        <label>Rhesus <span class="text-danger">*</span></label>
                        <select class="select" name="rhesus">
                                <option value="" >--Select Rhesus--</option>
                                <option value="+" <?php echo e(($patient->rhesus === '+') ? 'selected' : ''); ?>>Positive</option>
                                <option value="-" <?php echo e(($patient->rhesus === '-') ? 'selected' : ''); ?>>Négative</option>
                            </select>
                    </div>
                </div>

    				<div class="col-sm-6">
    					<div class="form-group">
    						<label>Address <span class="text-danger">*</span></label>
    						<input type="text" class="form-control " name="address" value="<?php echo e($patient->address); ?>">
    					</div>
    				</div>

                    <div class="col-sm-6">
    					<div class="form-group">
    						<label>Avatar</label>
    						<div class="profile-upload">
    							<div class="upload-img">
    								<img alt="" src="<?php echo e(asset('/assets/assets/img/user.jpg')); ?>">
    							</div>
    							<div class="upload-input">
    								<input type="file" class="form-control" name="profile_picture" value="<?php echo e($patient->profile_picture); ?>">
    							</div>
    						</div>
    					</div>
                    </div>

                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="display-block">Status</label>
            				<div class="form-check form-check-inline">
            					<input class="form-check-input" type="radio" name="status" id="patient_active" value="1" <?php echo e($patient->status == 1 ? 'checked' : ''); ?> >
            					<label class="form-check-label" for="patient_active">
            					Actif
            					</label>
            				</div>
            				<div class="form-check form-check-inline">
            					<input class="form-check-input" type="radio" name="status" id="patient_inactive" value="0" <?php echo e($patient->status == 0 ? 'checked' : ''); ?> >
            					<label class="form-check-label" for="patient_inactive">
            					Inactif
            					</label>
            				</div>
                        </div>
                    </div>

                </div>
            </div>

            <div class="card-footer">
                <div class="m-t-20 text-center">
                    <button class="btn btn-primary submit-btn">Edit Patient</button>
                </div>
            </div>
        </form>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\telemed_aah\resources\views/admin/patients/edit.blade.php ENDPATH**/ ?>