

<?php $__env->startSection('content'); ?>
<!-- Page Header -->
<div class="page-header">
	<div class="row">
		<div class="col-sm-12">
			<h3 class="page-title">List of Doctors</h3>
			<ul class="breadcrumb">
				<li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
				<li class="breadcrumb-item"><a href="javascript:(0);">Users</a></li>
				<li class="breadcrumb-item active">Doctor</li>
			</ul>
		</div>
	</div>
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
</div>

<div class="row">
	<div class="col-sm-12">
		<div class="card">
			<div class="card-body">
				<div class="table-responsive">
					<table class="datatable table table-hover table-center mb-0">
						<thead>
							<tr>
								<th>Doctor Name</th>
								<th>Speciality</th>
								<th>Member Since</th>
								<!--<th>Earned</th>-->
								<th>Account Status</th>.
								<th>Actions</th>
								
							</tr>
						</thead>
						<tbody>
							<?php $__currentLoopData = $doctors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$doctor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<tr>
								<td>
									<h2 class="table-avatar">
										<a href="#" class="avatar avatar-sm mr-2"><img class="avatar-img rounded-circle" src="<?php echo e(url('/storage/profile_images/'.$doctor->profile_picture )); ?>" alt="User Image"></a>
										<a href="#"><?php if($doctor->title != ''): ?><?php echo e($doctor->title); ?>.<?php endif; ?> <?php echo e($doctor->name); ?> <?php echo e($doctor->firstname); ?></a>
									</h2>
								</td>
								<td></td>
								
								<td><?php echo e($doctor->created_at->format('F d, Y h:ia')); ?></td>
								
								<!--<td>$3100.00</td>-->
								
								<td>
									<div class="status-toggle">
										<!--<input type="checkbox" id="status_1" class="check" checked>-->
										 <input data-id="<?php echo e($doctor->id); ?>" id="status_<?php echo e($i); ?>" class="check" type="checkbox" data-on="Active" data-off="InActive" <?php echo e($doctor->user->is_activated ? 'checked' : ''); ?>>
										<label for="status_<?php echo e($i); ?>" class="checktoggle">checkbox</label>
									</div>
								</td>

								<td class="text-right">

                                    <div class="actions">
                                        <a class="btn btn-sm bg-success-light" href="<?php echo e(URL::to('doctors/'.$doctor->id.'/edit')); ?>">
                                            <i class="fe fe-pencil"></i> Edit
                                        </a>
                                        <a data-toggle="modal" href="#" data-target="#delete_doctor" onclick="deleteData(<?php echo e($doctor->id); ?>)" class="btn btn-sm bg-danger-light">
                                            <i class="fe fe-trash"></i> Delete
                                        </a>
                                    </div>

                                </td>
							</tr>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>			
	</div>


<div id="delete_doctor" class="modal fade delete-modal" role="dialog">
	<div class="modal-dialog modal-dialog-centered">
		<form action="" id="deleteForm" method="post">
			<div class="modal-content">
				<div class="modal-body text-center">
					<?php echo e(csrf_field()); ?>

                    <?php echo e(method_field('DELETE')); ?>

					<!--<img src="/assets/assets/img/sent.png" alt="" width="50" height="46">-->
					<h3>Etes-vous sûr(e) de vouloir supprimer ce Doctor?</h3>
				</div>
				<div class="m-b-20 text-center"> 
					<a href="#" class="btn btn-white" data-dismiss="modal">Close</a>
					<button type="submit" class="btn btn-danger">Delete</button>
				</div>
			</div>
		</form>
	</div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('doctor'); ?>

<script>
    $('.check').change(function() {
        var status = $(this).prop('checked') == true ? 1 : 0; 
        var doctor_id = $(this).data('id'); 
         
        $.ajax({
            type: "GET",
            dataType: "json",
            url: '<?php echo URL::route('changeStatus'); ?>',
            data: {'status': status, 'doctor_id': doctor_id},
            success: function(data){
              console.log(data.success)
            }
        });
    })
</script>

<script>
function deleteData(id)
     {
         var id = id;
         var url = '<?php echo e(route("doctors.destroy", ":id")); ?>';
         url = url.replace(':id', id);
         $("#deleteForm").attr('action', url);
     }

     function formSubmit()
     {
         $("#deleteForm").submit();
     }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\telemed_aah\resources\views/admin/doctors/index.blade.php ENDPATH**/ ?>