

<?php $__env->startSection('content'); ?>
	
		<!-- Page Header -->
		<div class="page-header">
			<div class="row">
				<div class="col-sm-12">
					<h3 class="page-title">Reviews</h3>
					<ul class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
						<li class="breadcrumb-item active">Reviews</li>
					</ul>
				</div>
			</div>
		</div>
		<!-- /Page Header -->

		<div class="row">
		    <div class="col-md-12">
		        <?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
		    </div>
		</div>

		 <div class="modal fade" id="delete_modal" aria-hidden="true" role="dialog">
		    <div class="modal-dialog modal-dialog-centered" role="document" >
		        <form action="" id="deleteForm" method="post">
		            <div class="modal-content">

		                <div class="modal-body">
		                	<div class="form-content p-2">
		                		<h4 class="modal-title">Delete</h4>
			                    <?php echo e(csrf_field()); ?>

			                    <?php echo e(method_field('DELETE')); ?>

			                    <p class="mb-4">Are you really to want to delete this Review?</p>
			                    
								<button type="submit" class="btn btn-primary">Save </button>
			                    <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
			                    
		                	</div>
		                </div>

		            </div>
		        </form>
		    </div>
		</div>


		
		<div class="row">
			<div class="col-sm-12">
				<div class="card">
					<div class="card-body">
						<div class="table-responsive">
							<table class="datatable table table-hover table-center mb-0">
								<thead>
									<tr>
										<th>Patient Name</th>
										<th>Doctor Name</th>
										<th>Ratings</th>
										<th>Description</th>
										<th>Date</th>
										<th class="text-right">Actions</th>
									</tr>
								</thead>
								<tbody>
									<?php $__currentLoopData = $reviews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $review): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
									<tr>
										<td>
											<h2 class="table-avatar">
												<a href="#" class="avatar avatar-sm mr-2"><img class="avatar-img rounded-circle" src="assets/img/patients/patient1.jpg" alt="User Image"></a>
												<a href="#"><?php echo e($review->patient_name); ?> <?php echo e($review->patient_firstname); ?></a>
											</h2>
										</td>
										<td>
											<h2 class="table-avatar">
												<a href="#" class="avatar avatar-sm mr-2"><img class="avatar-img rounded-circle" src="assets/img/doctors/doctor-thumb-01.jpg" alt="User Image"></a>
												<a href="#">Dr. <?php echo e($review->doctor_name); ?> <?php echo e($review->doctor_firstname); ?></a>
											</h2>
										</td>

										<td>
											<input id="rating-system" type="number" class="rating" min="0" max="5" step="1" name="rating" value="<?php echo e($review->rating); ?>" disabled>
										</td>
										
										<td>
											-
										</td>
											<td><?php echo e($review->created_at->format('d/m/Y')); ?> <br><small><?php echo e($review->created_at->format('H:i')); ?></small></td>
										<td class="text-right">
											<div class="actions">
												<a class="btn btn-sm bg-danger-light" data-toggle="modal" href="#delete_modal" onclick="deleteData(<?php echo e($review->id); ?>)">
													<i class="fe fe-trash"></i> Delete
												</a>
												
											</div>
										</td>
									</tr>
									<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
								</tbody>
                        	</table>
                		</div>
            		</div>
        		</div>
    		</div>
		</div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('review'); ?>
<script>
function deleteData(id)
     {
         var id = id;
         var url = '<?php echo e(route("admin.reviewsDelete", ":id")); ?>';
         url = url.replace(':id', id);
         $("#deleteForm").attr('action', url);
     }

     function formSubmit()
     {
         $("#deleteForm").submit();
     }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\telemed_aah\resources\views/admin/reviews/index.blade.php ENDPATH**/ ?>