<!DOCTYPE html> 
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <!-- CSRF Token -->
    	<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    	<meta name="auth" content="<?php echo e(auth()->user()->id); ?>">

        <title>AAH+ - Doctor Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        
        <!-- Favicons -->
        <link type="image/x-icon" href="<?php echo e(asset('assets/img/favicon.png')); ?>" rel="icon">
        
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">
        
        <!-- Fontawesome CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/fontawesome/css/fontawesome.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/fontawesome/css/all.min.css')); ?>">
        
        <!-- Main CSS -->
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/style.css')); ?>">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
            <script src="assets/js/html5shiv.min.js"></script>
            <script src="assets/js/respond.min.js"></script>
        <![endif]-->
    
    </head>
    <body>

        <!-- Main Wrapper -->
        <div class="main-wrapper">

        	<!-- Header -->
            <?php echo $__env->make('doctors.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <!-- /Header -->

			<!-- Breadcrumb -->
			<div class="breadcrumb-bar">
				<div class="container-fluid">
					<div class="row align-items-center">
						<div class="col-md-12 col-12">
							<nav aria-label="breadcrumb" class="page-breadcrumb">
								<ol class="breadcrumb">
									<li class="breadcrumb-item"><a href="<?php echo e(route('home')); ?>">Home</a></li>
									<li class="breadcrumb-item active" aria-current="page">Dashboard</li>
								</ol>
							</nav>
							<h2 class="breadcrumb-title">Dashboard <span style="color: #26a9e166">+</span></h2>
						</div>
					</div>
				</div>
			</div>
			<!-- /Breadcrumb -->
			
			<!-- Page Content -->
			<div class="content">
				<div class="container-fluid">

					<div class="row">
						<?php echo $__env->make('doctors.partials.profile_side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
						<div class="col-md-7 col-lg-8 col-xl-9">

							<div class="row">
			                    <div class="col-md-12">
			                        <?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
			                    </div>
			                </div>

							<div class="row">
								<div class="col-md-12">
									<div class="card dash-card">
										<div class="card-body">
											<div class="row">
												<div class="col-md-12 col-lg-4">
													<div class="dash-widget dct-border-rht">
														<div class="circle-bar circle-bar1">
															<div class="circle-graph1" data-percent="<?php echo e(count($doctor->patients)); ?>">
																<img src="<?php echo e(asset('assets/img/icon-01.png')); ?>" class="img-fluid" alt="patient">
															</div>
														</div>
														<div class="dash-widget-info">
															<h6>Total Patient</h6>
															<h3><?php echo e(count($doctor->patients)); ?></h3>
															<p class="text-muted">Till Today</p>
														</div>
													</div>
												</div>
												
												<div class="col-md-12 col-lg-4">
													<div class="dash-widget dct-border-rht">
														<div class="circle-bar circle-bar2">
															<div class="circle-graph2" data-percent="<?php echo e(count($todayapts)); ?>">
																<img src="<?php echo e(asset('assets/img/icon-02.png')); ?>" class="img-fluid" alt="Patient">
															</div>
														</div>
														<div class="dash-widget-info">
															<h6>Today Patient</h6>
															<h3><?php echo e(count($todayapts)); ?></h3>
															<p class="text-muted"><?php echo e($today->format('d/m/Y')); ?></p>
														</div>
													</div>
												</div>
												
												<div class="col-md-12 col-lg-4">
													<div class="dash-widget">
														<div class="circle-bar circle-bar3">
															<div class="circle-graph3" data-percent="<?php echo e(count($upcomapts)); ?>">
																<img src="<?php echo e(asset('assets/img/icon-03.png')); ?>" class="img-fluid" alt="Patient">
															</div>
														</div>
														<div class="dash-widget-info">
															<h6>Appointments</h6>
															<h3><?php echo e(count($upcomapts)); ?></h3>
															<!--<p class="text-muted">06, Apr 2019</p>-->
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							
							<div class="row">
								<div class="col-md-12">
									<h4 class="mb-4">Patient Appointment</h4>
									<div class="appointment-tab">
									
										<!-- Appointment Tab -->
										<ul class="nav nav-tabs nav-tabs-solid nav-tabs-rounded">
											<li class="nav-item">
												<a class="nav-link active" href="#upcoming-appointments" data-toggle="tab">Upcoming</a>
											</li>
											<li class="nav-item">
												<a class="nav-link" href="#today-appointments" data-toggle="tab">Today</a>
											</li> 
										</ul>
										<!-- /Appointment Tab -->
										
										<div class="tab-content">
										
											<!-- Upcoming Appointment Tab -->
											<div class="tab-pane show active" id="upcoming-appointments">
												<div class="card card-table mb-0">
													<div class="card-body">
														<div class="table-responsive">
															<table class="table table-hover table-center mb-0">
																<thead>
																	<tr>
																		<th>Patient Name</th>
																		<th>Appt Date</th>
																		<th>Purpose</th>
																		<th>Type</th>
																		<th class="text-center">Paid Amount</th>
																		<th></th>
																	</tr>
																</thead>
																<tbody>
																	<?php $__currentLoopData = $upcomapts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$appointment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
																	<tr>
																		<td>
																			<h2 class="table-avatar">
																				<a href="<?php echo e(route('patient.profile', $appointment->patient_id)); ?>" class="avatar avatar-sm mr-2"><img class="avatar-img rounded-circle" src="<?php echo e(url('/storage/profile_images/'.$appointment->patient->profile_picture )); ?>" alt="User Image"></a>
																				<a href="<?php echo e(route('patient.profile', $appointment->patient_id)); ?>"><?php echo e($appointment->patient->name); ?> <span><?php echo e($appointment->patient->matricule); ?></span></a>
																			</h2>
																		</td>
																		<td><?php echo e($appointment->date_apt); ?> <span class="d-block text-info"><?php echo e($appointment->begin_time); ?></span></td>
																		<td>General</td>
																		<td>New Patient</td>
																		<td class="text-center">$<?php echo e($appointment->apt_amount); ?></td>
																		<td class="text-right">
																			<div class="table-action">
																				<a href="javascript:void(0);" class="btn btn-sm bg-info-light" data-toggle="modal" data-target="#upcomapts_details<?php echo e($i); ?>">
																					<i class="far fa-eye"></i> View
																				</a>
																				<?php if($appointment->status == 0): ?>
																				<a href="javascript:void(0);" class="btn btn-sm bg-success-light" data-toggle="modal" data-target="#take_appointment" onclick="addData(<?php echo e($appointment->id); ?>)"><i class="fas fa-check"></i> Accept</a>
																				<?php endif; ?>

																				<?php if($appointment->status == 0): ?>
																				<a href="javascript:void(0);" class="btn btn-sm bg-danger-light" data-toggle="modal" data-target="#cancel_appointment" onclick="cancelData(<?php echo e($appointment->id); ?>)"><i class="fas fa-times"></i>Cancel</a>
																				<?php endif; ?>

																				<?php if($appointment->status == 3): ?>
																				<a href="<?php echo e(route('appointment.start', $appointment->id)); ?>" class="btn btn-sm bg-primary-light">
																					<i class="fas fa-play"></i> Start
																				</a>

																				<a href="<?php echo e(route('video_call', $appointment->patient_user_id)); ?>" class="btn btn-white btn-sm call-btn" target="_blank">
																					<i class="fas fa-video"></i> Video
																				</a>
																				<?php endif; ?>

																				<?php if($appointment->status == 3): ?>
																				<a href="javascript:void(0);" class="btn btn-sm bg-danger-light" data-toggle="modal" data-target="#finish_appointment" onclick="finishData(<?php echo e($appointment->id); ?>)">
																					<i class="fas fa-flag-checkered"></i> Finish
																				</a>
																				<?php endif; ?>
																			</div>
																		</td>
																	</tr>
																	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
																</tbody>
															</table>		
														</div>
													</div>
												</div>
											</div>
											<!-- /Upcoming Appointment Tab -->
									   
											<!-- Today Appointment Tab -->
											<div class="tab-pane" id="today-appointments">
												<div class="card card-table mb-0">
													<div class="card-body">
														<div class="table-responsive">
															<table class="table table-hover table-center mb-0">
																<thead>
																	<tr>
																		<th>Patient Name</th>
																		<th>Appt Date</th>
																		<th>Purpose</th>
																		<th>Type</th>
																		<th class="text-center">Paid Amount</th>
																		<th></th>
																	</tr>
																</thead>
																<tbody>
																	<?php $__currentLoopData = $todayapts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $j=>$appointment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
																	<tr>
																		<td>
																			<h2 class="table-avatar">
																				<a href="<?php echo e(route('patient.profile', $appointment->patient_id)); ?>" class="avatar avatar-sm mr-2"><img class="avatar-img rounded-circle" src="<?php echo e(url('/storage/profile_images/'.$appointment->patient->profile_picture )); ?>" alt="User Image"></a>
																				<a href="<?php echo e(route('patient.profile', $appointment->patient_id)); ?>"><?php echo e($appointment->patient->name); ?> <span><?php echo e($appointment->patient->matricule); ?></span></a>
																			</h2>
																		</td>
																		<td><?php echo e($appointment->date_apt); ?> <span class="d-block text-info"><?php echo e($appointment->begin_time); ?></span></td>
																		<td>Fever</td>
																		<td>Old Patient</td>
																		<td class="text-center">$<?php echo e($appointment->apt_amount); ?></td>
																		<td class="text-right">
																			<div class="table-action">
																				<a href="javascript:void(0);" class="btn btn-sm bg-info-light" data-toggle="modal" data-target="#todayapts_details<?php echo e($j); ?>">
																					<i class="far fa-eye"></i> View
																				</a>
																				
																				<?php if($appointment->status == 0): ?>
																				<a href="javascript:void(0);" class="btn btn-sm bg-success-light" data-toggle="modal" data-target="#take_appointment" onclick="addData(<?php echo e($appointment->id); ?>)"><i class="fas fa-check"></i> Accept</a>
																				<?php endif; ?>

																				<?php if($appointment->status == 0): ?>
																				<a href="javascript:void(0);" class="btn btn-sm bg-danger-light" data-toggle="modal" data-target="#cancel_appointment" onclick="cancelData(<?php echo e($appointment->id); ?>)"><i class="fas fa-times"></i>Cancel</a>
																				<?php endif; ?>

																				<?php if($appointment->status == 3): ?>
																				<a href="<?php echo e(route('appointment.start', $appointment->id)); ?>" class="btn btn-sm bg-primary-light">
																					<i class="fas fa-play"></i> Start
																				</a>
																				<?php endif; ?>

																				<?php if($appointment->status == 3): ?>
																				<a href="javascript:void(0);" class="btn btn-sm bg-danger-light" data-toggle="modal" data-target="#finish_appointment" onclick="finishData(<?php echo e($appointment->id); ?>)">
																					<i class="fas fa-flag-checkered"></i> Finish
																				</a>

																				<a href="<?php echo e(route('video_call', $appointment->patient_user_id)); ?>" class="btn btn-white btn-sm call-btn" target="_blank">
																					<i class="fas fa-video"></i> Video
																				</a>
																				<?php endif; ?>
																			</div>
																		</td>
																	</tr>
																	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
																</tbody>
															</table>		
														</div>	
													</div>	
												</div>	
											</div>
											<!-- /Today Appointment Tab -->
											
										</div>
									</div>
								</div>
							</div>

						</div>
					</div>

				</div>

			</div>		
			<!-- /Page Content -->

			<!-- Footer -->
                <?php echo $__env->make('website.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                
            <!-- /Footer -->
           
        </div>
        <!-- /Main Wrapper -->
        <!-- Appointment Details Modal -->
		<?php $__currentLoopData = $upcomapts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$appointment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		<div class="modal fade custom-modal" id="upcomapts_details<?php echo e($i); ?>">
			<div class="modal-dialog modal-dialog-centered">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">Appointment Details</h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="modal-body">
						<ul class="info-details">
							<li>
								<div class="details-header">
									<div class="row">
										<div class="col-md-6">
											<span class="title">#APT00<?php echo e($appointment->id); ?> </span>
											<span class="text"><?php echo e($appointment->date_apt); ?> <?php echo e($appointment->begin_time); ?></span>
										</div>
										<div class="col-md-6">
											<div class="text-right">
												<?php if($appointment->status == 0): ?>
												<button type="button" class="btn bg-warning-light btn-sm" id="topup_status">Pending</button>
												<?php endif; ?>
												<?php if($appointment->status == 1): ?>
												<button type="button" class="btn bg-success-light btn-sm" id="topup_status">Confirmed</button>
												<?php endif; ?>
												<?php if($appointment->status == 2): ?>
												<button type="button" class="btn bg-success-light btn-sm" id="topup_status">Cancelled</button>
												<?php endif; ?>
												<?php if($appointment->status == 3): ?>
                                                <button type="button" class="btn bg-success-light btn-sm" id="topup_status">Paid</button>
                                                <?php endif; ?>
                                                <?php if($appointment->status == 4): ?>
                                                <button type="button" class="btn bg-success-light btn-sm" id="topup_status">Started</button>
                                                <?php endif; ?>
                                                <?php if($appointment->status == 5): ?>
                                                <button type="button" class="btn bg-success-light btn-sm" id="topup_status">Completed</button>
                                                <?php endif; ?>
											</div>
										</div>
									</div>
								</div>
							</li>

							<li>
								<span class="title">Status:</span>
								<?php if($appointment->status == 0): ?>
								<span class="text">Pending</span>
								<?php endif; ?>
								<?php if($appointment->status == 1): ?>
								<span class="text">Confirmed</span>
								<?php endif; ?>
								<?php if($appointment->status == 2): ?>
								<span class="text">Cancelled</span>
								<?php endif; ?>
								<?php if($appointment->status == 3): ?>
								<span class="text">Completed</span>
								<?php endif; ?>
							</li>

							<?php if($appointment->confirm_date != ''): ?>
							<li>
								<span class="title">Confirm Date:</span>
								<span class="text"><?php echo e($appointment->confirm_date); ?></span>
							</li>
							<?php endif; ?>
							<li>
								<span class="title">Paid Amount</span>
								<span class="text">$<?php echo e($appointment->apt_amount); ?></span>
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		<!-- /Appointment Details Modal -->

		<?php $__currentLoopData = $todayapts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $j=>$appointment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		<div class="modal fade custom-modal" id="todayapts_details<?php echo e($i); ?>">
			<div class="modal-dialog modal-dialog-centered">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">Appointment Details</h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="modal-body">
						<ul class="info-details">
							<li>
								<div class="details-header">
									<div class="row">
										<div class="col-md-6">
											<span class="title">#APT00<?php echo e($appointment->id); ?> </span>
											<span class="text"><?php echo e($appointment->date_apt); ?> <?php echo e($appointment->begin_time); ?></span>
										</div>
										<div class="col-md-6">
											<div class="text-right">
												<?php if($appointment->status == 0): ?>
												<button type="button" class="btn bg-warning-light btn-sm" id="topup_status">Pending</button>
												<?php endif; ?>
												<?php if($appointment->status == 1): ?>
												<button type="button" class="btn bg-success-light btn-sm" id="topup_status">Confirmed</button>
												<?php endif; ?>
												<?php if($appointment->status == 2): ?>
												<button type="button" class="btn bg-success-light btn-sm" id="topup_status">Cancelled</button>
												<?php endif; ?>
												<?php if($appointment->status == 3): ?>
                                                <button type="button" class="btn bg-success-light btn-sm" id="topup_status">Paid</button>
                                                <?php endif; ?>
                                                <?php if($appointment->status == 4): ?>
                                                <button type="button" class="btn bg-success-light btn-sm" id="topup_status">Started</button>
                                                <?php endif; ?>
                                                <?php if($appointment->status == 5): ?>
                                                <button type="button" class="btn bg-success-light btn-sm" id="topup_status">Completed</button>
                                                <?php endif; ?>
											</div>
										</div>
									</div>
								</div>
							</li>

							<li>
								<span class="title">Status:</span>
								<?php if($appointment->status == 0): ?>
								<span class="text">Pending</span>
								<?php endif; ?>
								<?php if($appointment->status == 1): ?>
								<span class="text">Confirmed</span>
								<?php endif; ?>
								<?php if($appointment->status == 2): ?>
								<span class="text">Cancelled</span>
								<?php endif; ?>
								<?php if($appointment->status == 3): ?>
                                <span class="text">Paid</span>
                                <?php endif; ?>
                                <?php if($appointment->status == 4): ?>
                                <span class="text">Started</span>
                                <?php endif; ?>
                                <?php if($appointment->status == 5): ?>
                                <span class="text">Completed</span>
                                <?php endif; ?>
							</li>

							<?php if($appointment->confirm_date != ''): ?>
							<li>
								<span class="title">Confirm Date:</span>
								<span class="text"><?php echo e($appointment->confirm_date); ?></span>
							</li>
							<?php endif; ?>
							<li>
								<span class="title">Paid Amount</span>
								<span class="text">$<?php echo e($appointment->apt_amount); ?></span>
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

		<div id="take_appointment" class="modal fade custom-modal" role="dialog">
		    <div class="modal-dialog modal-dialog-centered">
		        <form action="" id="addForm" method="post">
			        <div class="modal-content">

			        	<div class="modal-header ">
							<h5 class="modal-title">Accept Appointment</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>

			            <div class="modal-body text-center">
			                <?php echo e(csrf_field()); ?>

			                <?php echo e(method_field('POST')); ?>

			                <!--<img src="<?php echo e(asset('/assets/assets/img/sent.png')); ?>" alt="" width="50" height="46">-->
			                <p>Are you sure you want to take this Appointment?</p>
			                
			            </div>
			            <div class="modal-footer text-center"> 
		                	<a href="#" class="btn btn-white" data-dismiss="modal">No,Close</a>
		                    <button type="submit" class="btn bg-success-light">Yes, Take</button>
		                </div>
			        </div>
		    	</form>
		    </div>
		</div>

		<div id="finish_appointment" class="modal fade custom-modal" role="dialog">
		    <div class="modal-dialog modal-dialog-centered">
		        <form action="" id="finishForm" method="post">
			        <div class="modal-content">

			        	<div class="modal-header ">
							<h5 class="modal-title">Finish Appointment</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>

			            <div class="modal-body text-center">
			                <?php echo e(csrf_field()); ?>

			                <?php echo e(method_field('POST')); ?>

			                <!--<img src="<?php echo e(asset('/assets/assets/img/sent.png')); ?>" alt="" width="50" height="46">-->
			                <p>Are you sure to finish this Appointment?</p>
			                
			            </div>
			            <div class="modal-footer text-center"> 
		                	<a href="#" class="btn btn-white" data-dismiss="modal">No,Close</a>
		                    <button type="submit" class="btn bg-danger-light">Yes, Finish</button>
		                </div>
			        </div>
		    	</form>
		    </div>
		</div>


		<div id="cancel_appointment" class="modal fade custom-modal" role="dialog">
		    <div class="modal-dialog modal-dialog-centered">
		        <form action="" id="cancelForm" method="post">
			        <div class="modal-content">

			        	<div class="modal-header ">
							<h5 class="modal-title">Cancel Appointment</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>

			            <div class="modal-body text-center">
			                <?php echo e(csrf_field()); ?>

			                <?php echo e(method_field('POST')); ?>

			                <!--<img src="<?php echo e(asset('/assets/assets/img/sent.png')); ?>" alt="" width="50" height="46">-->
			                <p>Are you sure you want to cancel this Appointment?</p>
			                
			            </div>
			            <div class="modal-footer text-center"> 
		                	<a href="#" class="btn btn-white" data-dismiss="modal">No,Close</a>
		                    <button type="submit" class="btn bg-danger-light">Yes, Cancel</button>
		                </div>
			        </div>
		    	</form>
		    </div>
		</div>
      
        <!-- jQuery -->
        <script src="<?php echo e(asset('assets/js/jquery.min.js')); ?>"></script>

        <script>
		function addData(id)
	     {
	         var id = id;
	         var url = '<?php echo e(route("take", ":id")); ?>';
	         url = url.replace(':id', id);
	         $("#addForm").attr('action', url);
	     }

	     function formSubmit()
	     {
	         $("#addForm").submit();
	     }
		</script>

		<script>
		function cancelData(id)
	     {
	         var id = id;
	         var url = '<?php echo e(route("archivedapt", ":id")); ?>';
	         url = url.replace(':id', id);
	         $("#cancelForm").attr('action', url);
	     }

	     function formSubmit()
	     {
	         $("#addForm").submit();
	     }
		</script>

		<script>
		function finishData(id)
	     {
	         var id = id;
	         var url = '<?php echo e(route("finish", ":id")); ?>';
	         url = url.replace(':id', id);
	         $("#finishForm").attr('action', url);
	     }

	     function formSubmit()
	     {
	         $("#finishForm").submit();
	     }
		</script>

		<?php echo $__env->make('inc.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
        <!-- Bootstrap Core JS -->
        <script src="<?php echo e(asset('assets/js/popper.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>
        
        <!-- Sticky Sidebar JS -->
        <script src="<?php echo e(asset('assets/plugins/theia-sticky-sidebar/ResizeSensor.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/plugins/theia-sticky-sidebar/theia-sticky-sidebar.js')); ?>"></script>

        <!-- Circle Progress JS -->
		<script src="<?php echo e(asset('assets/js/circle-progress.min.js')); ?>"></script>
        
        <!-- Custom JS -->
        <script src="<?php echo e(asset('assets/js/script.js')); ?>"></script>

        <!-- Scripts -->
 		<!--<script src="<?php echo e(asset('js/app.js')); ?>"></script>

 		<script src="//<?php echo e(Request::getHost()); ?>:6001/socket.io/socket.io.js"></script>

 		<script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>-->

		<script>
    	// Example 1 - Event Channel
    	// Echo.channel('events')
        // .listen('RealTimeMessage', (e) => console.log('RealTimeMessage: ' + e.message));

        // Example 2 - Private Event Channel
	    // Echo.private('events')
	    //     .listen('RealTimeMessage', (e) => console.log('Private RealTimeMessage: ' + e.message));

	    // Example 3 - Notification

	     // function closeMessage() {
	    	// message.__x.$data.showMessage = false;
	     // }

	     // Echo.private('App.Models.User.9')
	     //     .notification((notification) => {
	     //         console.log(notification.message);

	     //         let message = document.getElementById('message');
	     //         message.__x.$data.showMessage = true;
	     //         message.__x.$data.message = notification.message;
	    
	     //         setTimeout(function () {
	     //             closeMessage()
	     //        }, 3000);
	     // });

	    // Example 4 - Alpine JS show beautiful message on welcome page
	    // function closeMessage() {
	    //     message.__x.$data.showMessage = false;
	    // }
	    //
	    // Echo.private('events')
	    //     .listen('RealTimeMessage', (e) => {
	    //         let message = document.getElementById('message');
	    //         message.__x.$data.showMessage = true;
	    //         message.__x.$data.message = e.message;
	    //
	    //         setTimeout(function () {
	    //             closeMessage()
	    //         }, 3000);
	    //     });

    	</script>
        
    </body>
</html><?php /**PATH C:\wamp64\www\aah_care\resources\views/doctors/dashboard.blade.php ENDPATH**/ ?>